libzypp: zypp::keyring::VerifyFileContext::Impl Class Reference

libzypp 17.38.14

zypp::keyring::VerifyFileContext::Impl Class Reference

Directly accessed by verifyFileSignatureWorkflow to set the result data. More...

## Public Member Functions
| Impl ()
| Impl (Pathname file_r)
| Impl (Pathname file_r, Pathname signature_r)
void | resetResults ()

## Public Attributes
Pathname | _file
Pathname | _signature
std::optional< std::string > | _shortFile
KeyContext | _keyContext
BuddyKeys | _buddyKeys
bool | _fileAccepted = false
bool | _fileValidated = false
std::string | _signatureId
bool | _signatureIdTrusted = false

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Directly accessed by verifyFileSignatureWorkflow to set the result data.

Definition at line 24 of file KeyRingContexts.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::keyring::VerifyFileContext::Impl::Impl | ( |  | ) |
| inline

Definition at line 27 of file KeyRingContexts.cc.

## ◆ Impl() [2/3]

zypp::keyring::VerifyFileContext::Impl::Impl | ( | Pathname | file_r | ) |
| inline

Definition at line 29 of file KeyRingContexts.cc.

## ◆ Impl() [3/3]

zypp::keyring::VerifyFileContext::Impl::Impl | ( | Pathname | file_r,
|  | Pathname | signature_r )
| inline

Definition at line 32 of file KeyRingContexts.cc.

## Member Function Documentation

## ◆ resetResults()

void zypp::keyring::VerifyFileContext::Impl::resetResults | ( |  | ) |
| inline

Definition at line 37 of file KeyRingContexts.cc.

## ◆ clone()

Impl * zypp::keyring::VerifyFileContext::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 56 of file KeyRingContexts.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _file

Pathname zypp::keyring::VerifyFileContext::Impl::_file

Definition at line 41 of file KeyRingContexts.cc.

## ◆ _signature

Pathname zypp::keyring::VerifyFileContext::Impl::_signature

Definition at line 42 of file KeyRingContexts.cc.

## ◆ _shortFile

std::optional<std::string> zypp::keyring::VerifyFileContext::Impl::_shortFile

Definition at line 43 of file KeyRingContexts.cc.

## ◆ _keyContext

KeyContext zypp::keyring::VerifyFileContext::Impl::_keyContext

Definition at line 44 of file KeyRingContexts.cc.

## ◆ _buddyKeys

BuddyKeys zypp::keyring::VerifyFileContext::Impl::_buddyKeys

Definition at line 45 of file KeyRingContexts.cc.

## ◆ _fileAccepted

bool zypp::keyring::VerifyFileContext::Impl::_fileAccepted = false

Definition at line 48 of file KeyRingContexts.cc.

## ◆ _fileValidated

bool zypp::keyring::VerifyFileContext::Impl::_fileValidated = false

Definition at line 49 of file KeyRingContexts.cc.

## ◆ _signatureId

std::string zypp::keyring::VerifyFileContext::Impl::_signatureId

Definition at line 50 of file KeyRingContexts.cc.

## ◆ _signatureIdTrusted

bool zypp::keyring::VerifyFileContext::Impl::_signatureIdTrusted = false

Definition at line 51 of file KeyRingContexts.cc.

The documentation for this class was generated from the following file:

- zypp/KeyRingContexts.cc